Boomi API Control Plane REST API (MCP Registry) - Admin
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get a server by exact name, independent of any registry
Get a server and all its versions (active, deprecated, and deleted) regardless of registry association. Restricted to MCP Registry admin users. Set include_deleted=true to also match a server that has been marked deleted.
Authorizations:
path Parameters
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
query Parameters
| include_deleted | boolean Default: false When true, also matches a server that has been marked deleted. |
Responses
Response Schema: application/json
| createdAt | string <date-time> Timestamp when the server was created |
| isDeleted | boolean Whether the server is deleted |
| uid | integer <int64> Unique identifier for the server |
| updatedAt | string <date-time> Timestamp when the server was last updated |
| meta | string JSON string containing additional metadata for the server |
| accountId | string Account identifier that owns this server |
Array of objects (ServerVersionDTO) All versions of this server (active, deprecated, and deleted), independent of any registry association | |
| name | string Unique name of the server within the account |
Response samples
- 200
{- "createdAt": "2019-08-24T14:15:22Z",
- "isDeleted": true,
- "uid": 0,
- "updatedAt": "2019-08-24T14:15:22Z",
- "meta": "string",
- "accountId": "string",
- "versions": [
- {
- "version": "1.0.0",
- "namespace": "manual",
- "isPublic": true,
- "isPublishedToDevPortal": false,
- "status": "active",
- "publishedAt": "2019-08-24T14:15:22Z",
- "description": "string",
- "title": "string",
- "websiteUrl": "string",
- "repositoryUrl": "string",
- "repositorySource": "string",
- "repositoryId": "string",
- "repositorySubfolder": "string",
- "schemaUrl": "string",
- "icons": "string",
- "packages": "string",
- "remotes": "string",
- "serverJson": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "deletedAt": "2019-08-24T14:15:22Z",
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}
}
], - "name": "string"
}Get account metadata
Get metadata for the caller's own account. Restricted to MCP Registry admin users.
Authorizations:
path Parameters
| accountId required | string Account identifier for the account being accessed. |
Responses
Response Schema: application/json
| accountId | string Unique account identifier |
| referenceId | string Reference ID (slug) appended to server namespaces |
| status | string Account status |
| createdAt | string <date-time> Timestamp when the account was created |
| updatedAt | string <date-time> Timestamp when the account was last updated |
| deletedAt | string <date-time> Timestamp when the account was soft-deleted, or null if active |
Response samples
- 200
{- "accountId": "string",
- "referenceId": "string",
- "status": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "deletedAt": "2019-08-24T14:15:22Z"
}